#ifndef XSURFACECOLLISIONAAB_H
#define XSURFACECOLLISIONAAB_H

#include "xasset.h"

class XSurfaceCollisionAabb : public XAsset
{
public:
    explicit XSurfaceCollisionAabb();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector<quint16> mMins;
    QVector<quint16> mMaxs;
};

#endif // XSURFACECOLLISIONAAB_H








